> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Resident Pet: ResMan

POST https://api.propexo.com/v1/resident-pets/resman/
Content-Type: application/json

Create Resident Pet: ResMan| Interface | Method              |
| --------- | ------------------- |
| Residents | /Residents/PostPets |This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Reference: https://docs.propexo.com/api-reference/resman/residents/create-resident-pet-res-man

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_resident-pets_resman__post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `name` (string, required) — The name associated with the resident pet
- `type` (string, required) — The type associated with the resident pet
- `age_in_years` (integer, optional) — The age in years of the resident pet
- `breed` (string, optional) — The breed of the resident pet
- `color` (string, optional) — The color of the resident pet
- `notes` (string, optional) — Notes associated with the resident pet
- `weight_in_pounds` (integer, optional) — The weight in pounds of the resident pet

## Response

### 200

Successful response

- `meta` (V1ResidentPetsResmanPostOutputMeta, required)
- `result` (V1ResidentPetsResmanPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ResidentPetsResmanPostOutputMeta

- `job_id` (string, required)

### V1ResidentPetsResmanPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `resident_id` (string, required) — The Propexo unique identifier for the resident
- `age_in_years` (integer, required, nullable) — The age in years of the resident pet
- `breed` (string, required, nullable) — The breed of the resident pet
- `color` (string, required, nullable) — The color of the resident pet
- `name` (string, required) — The name associated with the resident pet
- `notes` (string, required, nullable) — Notes associated with the resident pet
- `type` (string, required) — The type associated with the resident pet
- `weight_in_pounds` (integer, required, nullable) — The weight in pounds of the resident pet

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "string",
  "resident_id": "string",
  "name": "string",
  "type": "string"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "string"
  },
  "result": {
    "integration_id": "string",
    "resident_id": "string",
    "age_in_years": 1,
    "breed": "string",
    "color": "string",
    "name": "string",
    "notes": "string",
    "type": "string",
    "weight_in_pounds": 1
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/resident-pets/resman/"

payload = {
    "integration_id": "string",
    "resident_id": "string",
    "name": "string",
    "type": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/resident-pets/resman/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"string","resident_id":"string","name":"string","type":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/resident-pets/resman/"

	payload := strings.NewReader("{\n  \"integration_id\": \"string\",\n  \"resident_id\": \"string\",\n  \"name\": \"string\",\n  \"type\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/resident-pets/resman/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"string\",\n  \"resident_id\": \"string\",\n  \"name\": \"string\",\n  \"type\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/resident-pets/resman/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"string\",\n  \"resident_id\": \"string\",\n  \"name\": \"string\",\n  \"type\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/resident-pets/resman/', [
  'body' => '{
  "integration_id": "string",
  "resident_id": "string",
  "name": "string",
  "type": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/resident-pets/resman/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"string\",\n  \"resident_id\": \"string\",\n  \"name\": \"string\",\n  \"type\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "string",
  "resident_id": "string",
  "name": "string",
  "type": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/resident-pets/resman/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```